[mypy]
color_output=True
error_summary=True
exclude=common/|squirro-ansible/|tests/|.*test.*|deployment/remote_automl_classifier/
pretty=True
python_version=3.11
show_column_numbers=True
show_error_context=True
show_traceback=True
strict=True
plugins = sqlalchemy.ext.mypy.plugin

################################################################################
# Library based settings
################################################################################
[mypy-autocomplete.*]
ignore_missing_imports=True

[mypy-email_lib.*]
ignore_missing_imports=True

[mypy-extract_msg.*]
ignore_missing_imports=True

[mypy-msoffcrypto.*]
ignore_missing_imports=True

[mypy-sqlachemy.*]
ignore_missing_imports=True

[mypy-squirro.*]
ignore_missing_imports=True

[mypy-squirro_client.*]
ignore_missing_imports=True

[mypy-status_tracking.*]
ignore_missing_imports=True

[mypy-pdf2image.*]
ignore_missing_imports=True

[mypy-pyzbar.pyzbar.*]
ignore_missing_imports=True
